## opus 0.9.14+20120615

=== celt/dump_modes/Makefile ===
CFLAGS=-O2 -Wall -Wextra -DHAVE_CONFIG_H
INCLUDES=-I../ -I../../

all: dump_modes

dump_modes:
	$(CC) $(CFLAGS) $(INCLUDES) -DCUSTOM_MODES dump_modes.c ../modes.c ../cwrs.c ../rate.c ../entenc.c ../entdec.c ../mathops.c ../mdct.c ../kiss_fft.c -o dump_modes -lm 

clean:
	rm -f dump_modes

## opus 1.0.1

=== debian/changelog ===
opus (1.0.1-0ubuntu2) saucy; urgency=low

  * Use dh_autotools-dev to update config.{sub,guess} for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Oct 2013 22:44:28 +0200

opus (1.0.1-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Official standardized version, stable and recommended
  * dh_auto_build and dh_auto_install no longer need overriding
  * Convert to Debhelper 9 with a simpler rules file
    - This also reenables the Ubuntu default compile flags
    - Enables multiarch (LP: #1056365)
  * debian/control: close some Lintian errors
    - Pre-depend on multiarch-support
    - Add ${misc:Depends} to package dependencies
  * Convert to debian source format 3.0 (quilt)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 25 Sep 2012 18:28:15 -0700

opus (1.0.1-0ubuntu1~precise1~ppa1) precise; urgency=low

  * New upstream release
    - Official standardized version, stable and recommended
  * dh_auto_build and dh_auto_install no longer need overriding

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 25 Sep 2012 17:48:46 -0700

opus (0.9.14+20120615-1ubuntu1) precise; urgency=low

  * Convert to Debhelper 9 with a simpler rules file
    - This also reenables the Ubuntu default compile flags
    - Enables multiarch (LP: #1056365)
  * debian/control: close some Lintian errors
    - Pre-depend on multiarch-support
    - Add ${misc:Depends} to package dependencies
  * Convert to debian source format 3.0 (quilt)

 -- Scott Ritchie <scottritchie@ubuntu.com>  Tue, 25 Sep 2012 13:47:10 -0700

opus (0.9.14+20120615-1) unstable; urgency=low

  * Add extern "C" protection to opus_multistream.h.
  * Warn about unused returns and NULL arguments for functions where that would
    always be an error in the calling code.
  * Clearly mark fixed point builds in the internal versioning.
  * Better documentation.
  * Suggest opus-tools.

 -- Ron Lee <ron@debian.org>  Fri, 15 Jun 2012 11:58:27 +0930

opus (0.9.14+20120521-2) unstable; urgency=low

  * Build the fixed point version for arm(el) and mips(el).
    Fixes the unit test timeout seen on the mips buildd.
  * Add some extra 'hardening' flags to those upstream uses already.

 -- Ron Lee <ron@debian.org>  Wed, 23 May 2012 12:49:50 +0930

opus (0.9.14+20120521-1) unstable; urgency=low

  * Opus draft-14 release testing.
  * This one's for Sid.  Closes: #610980

 -- Ron Lee <ron@debian.org>  Mon, 21 May 2012 06:24:33 +0930

opus (0.9.8-1) experimental; urgency=low

  * Opus draft-10 release testing.

 -- Ron Lee <ron@debian.org>  Wed, 02 Nov 2011 22:55:51 +1030

opus (0.9.4-1) experimental; urgency=low

  * Initial (re)release as Opus.  Closes: #610980

 -- Ron Lee <ron@debian.org>  Sat, 30 Apr 2011 18:31:33 +0930

celt (0.7.1-1) unstable; urgency=low

  * The "correlation does not imply causation" release.
    To celebrate the first release of celt that is actually compatible with a
    a previously distributed version, we've renamed the library!
  * libcelt is now libcelt0.  The intent from upstream being to make it clear
    that one of the above was an accident, and unlikely to be repeated soon.
    On the bright side, this means we should be getting proper soname bumps
    from now on when the code ABI changes.  The bitstream format still remains
    entirely fluid though, applications which communicate with a peer _must_
    check that the formats are compatible at runtime.  It may, and indeed is
    very likely to, continue changing with every release.
  * By some small miracle, this should be an entirely painless transition
    though.  The new package doesn't conflict with the existing one, and all
    rdeps except mumble will switch to the new package with a binNMU, but not
    be broken in the meantime.  They use the .pc file provided, and have been
    build tested.  The mumble package is waiting on this one before it can work
    properly anyway, so a fix for that is just waiting for this to get through
    the NEW queue first now.
  * The new PLC is reported to be working Really Well.

 -- Ron Lee <ron@debian.org>  Wed, 20 Jan 2010 18:31:33 +1030

celt (0.7.0-1) unstable; urgency=low

  * Another day, another bitstream format.  Closes: #554559
  * Drop the IETF drafts for now.  Better to leave worrying about the
    paperwork for this until we have some documents that aren't actually
    supposed to expire in less than the life of a distro release.
    Closes: #538990 for now.  If you really need to reference them, then
    you should probably be tracking git anyhow, as they should be changing
    while the codec evolves too.

 -- Ron Lee <ron@debian.org>  Sat, 07 Nov 2009 17:48:35 +1030

celt (0.6.1-1) unstable; urgency=low

  * New upstream release.  Closes: #511163

 -- Ron Lee <ron@debian.org>  Sun, 26 Jul 2009 05:16:42 +0930

celt (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Ron Lee <ron@debian.org>  Sat, 26 Jul 2008 23:21:35 +0930

celt (0.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Ron Lee <ron@debian.org>  Sat, 17 May 2008 04:31:42 +0930

celt (0.3.0-1) unstable; urgency=low

  * Initial release.  Closes: #474392

 -- Ron Lee <ron@debian.org>  Sat, 05 Apr 2008 03:07:18 +0930

=== debian/control ===
Source: opus
Section: sound
Priority: optional
Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
Build-Depends: debhelper (>= 9), doxygen, autotools-dev
Standards-Version: 3.9.3.1
Homepage: http://www.opus-codec.org
Vcs-Git: git://git.debian.org/users/ron/opus.git
Vcs-Browser: http://git.debian.org/?p=users/ron/opus.git;a=summary

Package: libopus0
Section: libs
Architecture: any
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: opus-tools
Description: Opus codec runtime library
 The Opus codec is designed for interactive speech and audio transmission over
 the Internet. It is designed by the IETF Codec Working Group and incorporates
 technology from Skype's SILK codec and Xiph.Org's CELT codec.
 .
 It is intended to suit a wide range of interactive audio applications,
 including Voice over IP, videoconferencing, in-game chat, and even remote live
 music performances.  It can scale from low bit-rate narrowband speech to very
 high quality stereo music. The current features are:
 .
  Bit-rates from 6 kb/s 510 kb/s
  Sampling rates from 8 to 48 kHz
  Frame sizes from 2.5 ms to 60 ms
  Support for both constant bit-rate (CBR) and variable bit-rate (VBR)
  Audio bandwidth from narrowband to full-band
  Support for speech and music
  Support for mono and stereo
  Support for up to 255 channels (multistream frames)
  Dynamically adjustable bitrate, audio bandwidth, and frame size
  Good loss robustness and packet loss concealment (PLC)
  Floating point and fixed-point implementation
 .
 This package provides the Opus runtime library.

Package: libopus-dev
Section: libdevel
Architecture: any
Depends: libopus0 (= ${binary:Version}), ${misc:Depends}
Description: Opus codec library development files
 The Opus codec is designed for interactive speech and audio transmission over
 the Internet. It is designed by the IETF Codec Working Group and incorporates
 technology from Skype's SILK codec and Xiph.Org's CELT codec.
 .
 It is intended to suit a wide range of interactive audio applications,
 including Voice over IP, videoconferencing, in-game chat, and even remote live
 music performances.  It can scale from low bit-rate narrowband speech to very
 high quality stereo music. The current features are:
 .
  Bit-rates from 6 kb/s 510 kb/s
  Sampling rates from 8 to 48 kHz
  Frame sizes from 2.5 ms to 60 ms
  Support for both constant bit-rate (CBR) and variable bit-rate (VBR)
  Audio bandwidth from narrowband to full-band
  Support for speech and music
  Support for mono and stereo
  Support for up to 255 channels (multistream frames)
  Dynamically adjustable bitrate, audio bandwidth, and frame size
  Good loss robustness and packet loss concealment (PLC)
  Floating point and fixed-point implementation
 .
 This package provides the Opus library headers and development files.

Package: libopus-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libopus0 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libopus
 This package provides the detached debug symbols for libopus.

Package: libopus-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: libopus API documentation
 This package contains the developer documentation for libopus.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
ifneq (,$(filter $(DEB_HOST_ARCH), arm armel mips mipsel))
	dh_auto_configure -- --enable-fixed-point
else
	dh_auto_configure
endif

override_dh_test:
	$(MAKE) check

override_dh_strip:
	dh_strip --dbg-package=libopus-dbg

## opus 1.1

=== debian/changelog ===
opus (1.1-0ubuntu2) vivid; urgency=medium

  * Mark libopus0, libopus-dev and libopus-dbg as Multi-Arch: same.
    (LP: #1404475)
  * Update the symbols file.

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 03 Jan 2015 13:54:07 +0100

opus (1.1-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1258989)

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 09 Dec 2013 12:54:34 +1100

opus (1.0.3-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Add symbols file for libopus0.
  * Disable silent build rules.
  * Add a watch file for stable releases.
  * Use dh-autoreconf to regenerate autotools files.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 23 Oct 2013 12:28:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
 XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
-Build-Depends: debhelper (>= 9), doxygen, autotools-dev
-Standards-Version: 3.9.3.1
+Build-Depends: debhelper (>= 9), dh-autoreconf, doxygen
+Standards-Version: 3.9.4
 Homepage: http://www.opus-codec.org
 Vcs-Git: git://git.debian.org/users/ron/opus.git
 Vcs-Browser: http://git.debian.org/?p=users/ron/opus.git;a=summary
@@ -12,8 +12,9 @@
 Package: libopus0
 Section: libs
 Architecture: any
-Pre-Depends: multiarch-support
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: opus-tools
 Description: Opus codec runtime library
  The Opus codec is designed for interactive speech and audio transmission over
@@ -42,6 +43,7 @@
 Package: libopus-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libopus0 (= ${binary:Version}), ${misc:Depends}
 Description: Opus codec library development files
  The Opus codec is designed for interactive speech and audio transmission over
@@ -71,6 +73,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libopus0 (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for libopus
  This package provides the detached debug symbols for libopus.
@@ -81,4 +84,3 @@
 Depends: ${misc:Depends}
 Description: libopus API documentation
  This package contains the developer documentation for libopus.
-

## opus 1.1-17~1

=== debian/changelog ===
opus (1.1-17~1-sid+1) unstable; urgency=low

  * Nightly build.

 -- Ken Rice <krice@freeswitch.org>  Mon, 01 Jun 2015 17:04:29 -0400

opus (1.1-1~wheezy+1) stable; urgency=low

  * Nightly build.

 -- Ken Rice <krice@freeswitch.org>  Thu, 05 Mar 2015 21:06:29 -0600

opus (1.1-1~jessie+1) testing; urgency=low

  * Nightly build.

 -- Ken Rice <krice@freeswitch.org>  Thu, 05 Mar 2015 21:06:27 -0600

opus (1.1-1~sid+1) unstable; urgency=low

  * Nightly build.

 -- Ken Rice <krice@freeswitch.org>  Thu, 05 Mar 2015 21:06:26 -0600

opus (1.1-2) unstable; urgency=low

  * Rebuild for freeswitch repos

 -- Ken Rice <krice@freeswitch.org>  Thu, 05 Mar 2015 17:54:18 +0000

opus (1.1-1) unstable; urgency=low

  * Bump to the final 1.1 release version.
  * Relax the shlibs and track real symbol versions from here on,
    now that we have a real stable release version in the distro.

 -- Ron Lee <ron@debian.org>  Mon, 09 Dec 2013 02:04:41 +1030

opus (1.1~rc+20131204-1) unstable; urgency=low

  * Really 1.1-rc3, except 3 < + to dpkg.
  * Fixes fixed-point OPUS_SET_GAIN.
  * Fixes fixed-point stereo regression.

 -- Ron Lee <ron@debian.org>  Wed, 04 Dec 2013 23:16:57 +1030

opus (1.1~rc+20131128-1) unstable; urgency=low

  * Fixes the EDSP asm for ARMv5TE.
  * Uses the actually intended NEON code.

 -- Ron Lee <ron@debian.org>  Thu, 28 Nov 2013 04:30:46 +1030

opus (1.1~rc-1) unstable; urgency=low

  * Adds the new packet padding API and OPUS_SET_PREDICTION_DISABLED ctl.
  * Supports the SET_MAX_BANDWIDTH ctl for multstream encoders too.
  * Many improvements to surround encoding.
  * More asm optimisation for ARM, and speed ups for other CPUs.
  * Many fixes for oddball corner cases, and improvements to calibration.

 -- Ron Lee <ron@debian.org>  Tue, 26 Nov 2013 21:46:41 +1030

opus (1.1~beta-4) unstable; urgency=low

  * Revert bogus NMU.

 -- Ron Lee <ron@debian.org>  Mon, 18 Nov 2013 06:26:21 +1030

opus (1.1~beta-3) unstable; urgency=low

  * Bump shlibs for the surround API.

 -- Ron Lee <ron@debian.org>  Sun, 14 Jul 2013 01:02:28 +0930

opus (1.1~beta-2) unstable; urgency=low

  * Rebuild with the correct package_version indicated.

 -- Ron Lee <ron@debian.org>  Sat, 13 Jul 2013 02:49:49 +0930

opus (1.1~beta-1) unstable; urgency=low

  * Adds the new surround API.
  * Many encoder improvements, better tonality and speech/music probability
    estimation, temporal VBR, surround masking, numerous speed optimisations.

 -- Ron Lee <ron@debian.org>  Sat, 13 Jul 2013 01:54:14 +0930

opus (1.1~alpha+20130512-1) unstable; urgency=low

  * Preview snapshot of the 1.1 release.  Mostly to give people who need some
    of the newer API functions for their own projects something to play with
    while we finalise the rest of what is planned for this one.
    The encoder should perform better (both for quality and bitrate) than the
    1.0.x releases, but please do report any regressions you find upstream
    so that they can be fixed.

 -- Ron Lee <ron@debian.org>  Sun, 12 May 2013 16:33:52 +0930

opus (1.0.1-1) experimental; urgency=low

  * The RFC 6716 release.
  * Cherry pick be0d8c5ee1 to fix the build system breakage from -rc3.
  * Add the stack protector flags to /rules which got dropped from the
    upstream build system in -rc3 too.
  * Pushed to experimental for the new libav which needs the gain ctls.
    Closes: #690563

 -- Ron Lee <ron@debian.org>  Thu, 18 Oct 2012 10:38:53 +1030

=== debian/rules ===
#!/usr/bin/make -f
# Ron Lee 2003 - 2012

#export DH_VERBOSE=1
export DH_OPTIONS

SHELL = /bin/bash

NUM_CPUS = $(shell getconf _NPROCESSORS_ONLN 2>/dev/null)
PARALLEL = $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NJOBS    = -j$(or $(PARALLEL),$(NUM_CPUS),1)


DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null)


HARD_CPPFLAGS = -D_FORTIFY_SOURCE=2
HARD_CFLAGS   = -Wformat=2
HARD_LDFLAGS  = -Wl,-z,now

ifneq (,$(filter-out $(DEB_HOST_ARCH), alpha hppa arm))
	HARD_CFLAGS += -fstack-protector --param ssp-buffer-size=4
endif
ifneq (,$(filter-out $(DEB_HOST_ARCH), ia64 hppa avr32))
	HARD_LDFLAGS += -Wl,-z,relro
endif

# Keep dpkg-buildpackage the hell out of messing with our compile flags,
# we should trust upstream to know better than it what to use here.
# We explicitly re-add -g and -O2 here, since by explicitly overriding
# these variables, we otherwise disable autoconf adding them by default.
CPPFLAGS = $(HARD_CPPFLAGS)
CFLAGS   = $(HARD_CFLAGS) -g -O2
CXXFLAGS = $(HARD_CFLAGS) -g -O2
LDFLAGS  = $(HARD_LDFLAGS)


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS = -g -O0
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	BUILD_TARGET = check-opus
else
	BUILD_TARGET = opus
endif


ifneq (,$(DEB_HOST_MULTIARCH))
	MADIR = /$(DEB_HOST_MULTIARCH)
	EXTRA_CONFIG_FLAGS = --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
endif

ifneq (,$(filter $(DEB_HOST_ARCH), arm armel mips mipsel))
	EXTRA_CONFIG_FLAGS += --enable-fixed-point
endif



objdir := objs


clean:
	dh_testdir
	dh_testroot
	$(RM) -r $(objdir)
	$(RM) *-stamp
	dh_clean


$(objdir)/config.status: configure
	dh_testdir
	mkdir -p $(objdir)
	cd $(objdir) &&	../configure --disable-maintainer-mode		\
				     --host=$(DEB_HOST_GNU_TYPE)	\
				     --build=$(DEB_BUILD_GNU_TYPE)	\
				     --prefix=/usr			\
				     $(EXTRA_CONFIG_FLAGS)		\
				     CPPFLAGS="$(CPPFLAGS)"		\
				     CFLAGS="$(CFLAGS)"			\
				     CXXFLAGS="$(CXXFLAGS)"		\
				     LDFLAGS="$(LDFLAGS)"

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: $(objdir)/config.status
	dh_testdir
	$(MAKE) $(NJOBS) -C $(objdir) $(BUILD_TARGET)
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: $(objdir)/config.status
	dh_testdir
	$(MAKE) $(NJOBS) -C $(objdir) docs
	touch $@


install: install-arch install-indep

install-arch: install-arch-stamp
install-arch-stamp: build-arch
	dh_testdir
	$(MAKE) -C $(objdir) install-opus DESTDIR=$(CURDIR)/debian/tmp
	touch $@

install-indep: install-indep-stamp
install-indep-stamp: build-indep
	dh_testdir
	$(MAKE) -C $(objdir) install-docs DESTDIR=$(CURDIR)/debian/tmp
	touch $@


binary: binary-arch binary-indep

binary-indep: DH_OPTIONS = -i
binary-indep: install-indep
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_install -plibopus0    debian/tmp/usr/lib$(MADIR)/lib*.so.*		usr/lib$(MADIR)
	dh_install -plibopus-dev debian/tmp/usr/include/*			usr/include
	dh_install -plibopus-dev debian/tmp/usr/lib$(MADIR)/lib*.{a,so}		usr/lib$(MADIR)
	dh_install -plibopus-dev debian/tmp/usr/lib$(MADIR)/pkgconfig/opus.pc	usr/lib$(MADIR)/pkgconfig
	dh_installdocs -a
	dh_installchangelogs -a
	dh_strip -a --dbg-package=libopus-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -plibopus0 -- -c0
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a


.PHONY: clean build build-arch build-indep install install-arch install-indep \
	binary binary-arch binary-indep

## opus 1.1.2

=== debian/changelog ===
opus (1.1.2-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Convert to Debhelper 9 with a simpler rules file.
    - Build using dh-autoreconf.
    - Add a watch file.
    - debian/control: close some Lintian errors.
      - Pre-depend on multiarch-support.
      - Add ${misc:Depends} to package dependencies.
    - Convert to debian source format 3.0 (quilt).
    - Run the tests.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 16:33:28 +0100

opus (1.1.2-1) unstable; urgency=medium

  * Fixes the transient detector on silence.
  * Fixes discontinuities in background noise after extended PLC.
  * Make the CELT background noise estimator adapt more quickly on DTX update.
  * Fixes max_decay for LFE in fixed-point.
  * Fixes patch_transient_decision() for hybrid mode.
  * Don't reset the RTCD arch on encoder/decoder reset.

 -- Ron Lee <ron@debian.org>  Wed, 13 Jan 2016 07:26:14 +1030

opus (1.1.1-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Convert to Debhelper 9 with a simpler rules file.
    - Build using dh-autoreconf.
    - Add a watch file.
    - debian/control: close some Lintian errors.
      - Pre-depend on multiarch-support.
      - Add ${misc:Depends} to package dependencies.
    - Convert to debian source format 3.0 (quilt).
    - Run the tests.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 18:43:43 +0100

opus (1.1.1-1) unstable; urgency=medium

  * Mostly just lots of new optimisation, with a few minor bug fixes and
    quality improvements.

 -- Ron Lee <ron@debian.org>  Fri, 27 Nov 2015 00:08:55 +1030

opus (1.1-2) unstable; urgency=medium

  * Regenerate build system files, mostly to pull in a later libtool.m4
    which has fixes for building the ppc64le architecture.  Closes: #751982

 -- Ron Lee <ron@debian.org>  Tue, 26 Aug 2014 19:43:46 +0930

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: opus
 Section: sound
 Priority: optional
-Maintainer: Scott Ritchie <scottritchie@ubuntu.com>
-XSBC-Original-Maintainer: Ron Lee <ron@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, doxygen
-Standards-Version: 3.9.4
+Maintainer: Ron Lee <ron@debian.org>
+Build-Depends: debhelper (>= 9), doxygen, dh-autoreconf
+Standards-Version: 3.9.6.1
 Homepage: http://www.opus-codec.org
 Vcs-Git: git://git.debian.org/users/ron/opus.git
 Vcs-Browser: http://git.debian.org/?p=users/ron/opus.git;a=summary
@@ -84,3 +83,4 @@
 Depends: ${misc:Depends}
 Description: libopus API documentation
  This package contains the developer documentation for libopus.
+

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter $(DEB_HOST_ARCH), arm armel mips mipsel))
EXTRA_CONFIG_FLAGS += --enable-fixed-point
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules $(EXTRA_CONFIG_FLAGS)

override_dh_test:
	$(MAKE) check

override_dh_strip:
	dh_strip --dbg-package=libopus-dbg

=== debian/watch ===
version=3
http://www.opus-codec.org/downloads/ (?:|.*/)opus-(\d[\d\.]*)\.tar\.(?:xz|bz2|gz)

## opus 1.3.1

=== debian/changelog ===
opus (1.3.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libopus-doc: Add Multi-Arch: foreign.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 28 Jan 2023 00:10:34 +0100

opus (1.3.1-2) unstable; urgency=medium

  * Enable custom-modes (Closes: #686777)
  * Add patch to fix spelling mistakes
  * Drop libopus-dbg in favour of auto-generated dbgsym packages
  * Longer extended description for libopus-doc
  * Update packaging to use short-form dh
    - Add depends on ${misc:Depends}
  * Add autopkgtest
  * Declare that building this package does not require 'root' powers.
  * Declare that .la-files are not installed
  * Declarative file and manpage installation
  * Fix installation path for doc-base files
  * Add B-D stanza to .symbols file
  * d/copyright
    - Machine-readable d/copyright
    - Add licensecheck target to d/rules
    - Generate d/copyright_hints
  * Remove trailing whitespace in debian/* files
  * Add watch-file
  * Add salsa-ci configuration
  * DEP14: use standard branch names
  * Switch to source format 3.0 (Closes: #1007034)
  * Bump dh-version to 13
    - via debhelper-compat pseudo B-D
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 18 Jun 2022 16:56:23 +0200

opus (1.3.1-1) unstable; urgency=medium

  * Salvaging package on behalf of the Multimedia Team (Closes: #1011281)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 10 Jun 2022 08:51:39 +0200

opus (1.3.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (closes: #934809).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Sep 2020 18:09:03 +0300

opus (1.3-1) unstable; urgency=medium

  * Enable support for ambisonics coding using mappings 2 and 3.
  * Use wideband encoding down to 9 kb/s.
  * Retrain RNN classifier weights to include reverberated speech.
  * Drop the explicit --enable-hardening from d/rules, it's enabled by default
    upstream now.

 -- Ron Lee <ron@debian.org>  Tue, 18 Dec 2018 06:04:03 +1030

opus (1.3~beta+20180518-1) unstable; urgency=medium

  * Fix the CELT input NaN test.

 -- Ron Lee <ron@debian.org>  Fri, 18 May 2018 05:04:27 +0930

opus (1.3~beta+20180516-1) unstable; urgency=medium

  * Snapshot from 652c4559f593d3aad78bd5c85a216eeae7859429 as a preview of
    patches pending for the 1.3 release.  The main motivation for doing this
    now is to pull in the fix for the PLC regression introduced just before
    1.2~alpha2, which Closes: #898690, and to get some broader testing on the
    new hardening checks before flipping the switch to enable those by default
    upstream.
  * Fix celt_pitch_xcorr() ARM jump table compiling error for a bug introduced
    in 1.2-rc1.
  * Better rate allocation for stereo SILK in hybrid mode.
  * Add RNN for VAD and speech/music classification.
  * Fixing bandwidth detection for 24 kHz analysis.
  * Enable RFC 8251 changes by default.
  * Better tuning for low-bitrate music.
  * Don't set _FORTIFY_SOURCE and -fstack-protector as part of the packaging
    anymore, the upstream build system will add them where they are supported
    and needed now.
  * Build with --enable-hardening, which isn't related to the compile options
    above, but instead includes additional opus-specific runtime sanity checks
    which are cheap and certain enough to use in production builds.
  * Use dh compat 9, not because it actually brings anything new which we need
    here, but it hushes the increasingly insistent warnings about deprecated
    compat levels, and is a baseline supported by all of the releases we still
    need to be able to support.  I'm going to say this Closes: #810258, since
    the rest of the 'modernisation' there mostly isn't helpful.  We've already
    been running the tests since the very first release, we release directly
    from upstream git and maintain upstream patches there, so format 3(quilt)
    adds nothing but pain, and we have upstream build and install targets that
    are designed to cleanly separate the -arch specific and -indep components,
    so regressing to make those codependent isn't very appealing either.  It
    would have also broken support for building where m-a wasn't supported,
    though that's less of a problem today than it was previously.

 -- Ron Lee <ron@debian.org>  Thu, 17 May 2018 16:07:39 +0930

opus (1.2.1-1) unstable; urgency=medium

  * Fixes a bug in surround encoding causing very bad quality on loud signals
    beyond a certain amplitude.
  * Speech quality improvements especially in the 12-24 kbit/s range.
  * Music quality improvements in the 32-48 kb/s range.
  * More aggressive use of wider speech bandwidth, including fullband speech
    starting at 14 kbit/s.
  * Improved VBR encoding for hybrid mode.
  * SILK CBR improvements.
  * DTX support for CELT mode.
  * Support for directly encoding packets up to 120 ms.
  * Improves quality on files with powerful tones that cause MDCT leakage.
  * Fixes for speech/music detection at the very beginning of files.
  * Fixes an issue where the encoder can misdetect that the signal is SWB
    instead of FB, lowpassing the signal.

 -- Ron Lee <ron@debian.org>  Thu, 28 Sep 2017 01:48:45 +0930

opus (1.2~alpha2-1) unstable; urgency=medium

  * Run the tonality analysis at 24 kHz, which reduces complexity while giving
    better frequency resolution for the tonality estimate.
  * Speech quality improvements especially in the 12-20 kbit/s range.
  * Improved VBR encoding for hybrid mode.
  * More aggressive use of wider speech bandwidth, including fullband speech
    starting at 14 kbit/s.
  * Music quality improvements in the 32-48 kb/s range.
  * Generic and SSE CELT optimizations.
  * Support for directly encoding packets up to 120 ms.


=== debian/control ===
--- 
+++ 
@@ -1,20 +1,30 @@
 Source: opus
 Section: sound
 Priority: optional
-Maintainer: Ron Lee <ron@debian.org>
-Build-Depends: debhelper (>= 9), doxygen, dh-autoreconf
-Standards-Version: 3.9.6.1
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+ Ron Lee <ron@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+Build-Depends-Indep:
+ doxygen,
+ graphviz,
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: http://www.opus-codec.org
-Vcs-Git: git://git.debian.org/users/ron/opus.git
-Vcs-Browser: http://git.debian.org/?p=users/ron/opus.git;a=summary
+Vcs-Git: https://salsa.debian.org/multimedia-team/opus.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/opus
 
 Package: libopus0
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: opus-tools
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ opus-tools,
 Description: Opus codec runtime library
  The Opus codec is designed for interactive speech and audio transmission over
  the Internet. It is designed by the IETF Codec Working Group and incorporates
@@ -43,7 +53,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libopus0 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libopus0 (= ${binary:Version}),
+ ${misc:Depends},
 Description: Opus codec library development files
  The Opus codec is designed for interactive speech and audio transmission over
  the Internet. It is designed by the IETF Codec Working Group and incorporates
@@ -68,19 +80,15 @@
  .
  This package provides the Opus library headers and development files.
 
-Package: libopus-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libopus0 (= ${binary:Version}), ${misc:Depends}
-Description: debugging symbols for libopus
- This package provides the detached debug symbols for libopus.
-
 Package: libopus-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
+Multi-Arch: foreign
 Description: libopus API documentation
+ The Opus codec is designed for interactive speech and audio transmission over
+ the Internet. It is designed by the IETF Codec Working Group and incorporates
+ technology from Skype's SILK codec and Xiph.Org's CELT codec.
+ .
  This package contains the developer documentation for libopus.
-

=== debian/rules ===
#!/usr/bin/make -f
# © 2003-2018, Ron Lee
# © 2022-2023, IOhannes m zmölnig

#export DH_VERBOSE=1
export DH_OPTIONS


EXTRA_CONFIG_FLAGS = --enable-custom-modes

## We don't need to add this here either anymore, the upstream build system will
## also use -fstack-protector-strong where it is supported.
##
##ifneq (,$(filter-out alpha hppa arm, $(DEB_HOST_ARCH)))
##	HARD_CFLAGS += -fstack-protector --param ssp-buffer-size=4
##endif
#ifneq (,$(filter-out ia64 hppa avr32, $(DEB_HOST_ARCH)))
#	HARD_LDFLAGS += -Wl,-z,relro
#endif
#
## Keep dpkg-buildpackage the hell out of messing with our compile flags,
## we should trust upstream to know better than it what to use here.
## We explicitly re-add -g and -O2 here, since by explicitly overriding
## these variables, we otherwise disable autoconf adding them by default.
#CPPFLAGS = $(HARD_CPPFLAGS)
#CFLAGS   = $(HARD_CFLAGS) -g -O2
#CXXFLAGS = $(HARD_CFLAGS) -g -O2
#LDFLAGS  = $(HARD_LDFLAGS)
#
#
#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
#	CFLAGS = -g -O0
#endif
#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
#	INSTALL_PROGRAM += -s
#endif
#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
#	BUILD_TARGET = check-opus
#else
#	BUILD_TARGET = opus
#endif


ifneq (,$(filter arm armel mips mipsel, $(DEB_HOST_ARCH)))
	EXTRA_CONFIG_FLAGS += --enable-fixed-point
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		$(EXTRA_CONFIG_FLAGS)

override_dh_strip:
	dh_strip --dbgsym-migration="libopus-dbg (<< 1.3.1-1~)"


DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
        debian/.*
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	LANG=C.UTF-8 licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## opus 1.4

=== debian/changelog ===
opus (1.4-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:14:57 +0200

opus (1.4-1) unstable; urgency=medium

  * New upstream version 1.4
  * Update d/copyright
    + Bump copyright dates
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 13 Jun 2023 18:10:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: opus
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Ron Lee <ron@debian.org>,

## opus 1.5.1

=== debian/changelog ===
opus (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
    + Refresh patches
  * Enable Deep Packet Loss Concealment (deep PLC)
  * Enable Low-Bitrate Speech Quality Enhancement (LACE/NoLACE)
  * Update d/copyright information
    + Update d/copyright
    + Re-generate d/copyright_hints
  * Update symbols file
  * Clarify machine learning usage in d/README.source
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Jun 2024 10:29:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,9 @@
 	EXTRA_CONFIG_FLAGS += --enable-fixed-point
 endif
 
+EXTRA_CONFIG_FLAGS += --enable-deep-plc
+EXTRA_CONFIG_FLAGS += --enable-osce
+
 %:
 	dh $@

## opus 1.5.2

=== debian/changelog ===
opus (1.5.2-2) unstable; urgency=medium

  * Disable Deep PLC on armel
  * Forward patches
  * Exclude non-existant files from d/copyright stanzas

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 03 Jul 2024 13:41:33 +0200

opus (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2
  * Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Jun 2024 22:42:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: opus
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
  Ron Lee <ron@debian.org>,
@@ -11,7 +10,7 @@
 Build-Depends-Indep:
  doxygen,
  graphviz,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://www.opus-codec.org
 Vcs-Git: https://salsa.debian.org/multimedia-team/opus.git

=== debian/rules ===
--- 
+++ 
@@ -45,8 +45,11 @@
 	EXTRA_CONFIG_FLAGS += --enable-fixed-point
 endif
 
-EXTRA_CONFIG_FLAGS += --enable-deep-plc
-EXTRA_CONFIG_FLAGS += --enable-osce
+# DEEP_PLC FTBFS on armel
+ifeq (,$(filter armel, $(DEB_HOST_ARCH)))
+	EXTRA_CONFIG_FLAGS += --enable-deep-plc
+	EXTRA_CONFIG_FLAGS += --enable-osce
+endif
 
 %:
 	dh $@

=== debian/tests/control ===
Test-Command: make -C debian/tests
Depends:
 build-essential,
 libopus-dev,
 pkg-config,

## opus 1.6

=== debian/changelog ===
opus (1.6-1) unstable; urgency=medium

  * New upstream version 1.6
    + Drop patches applied upstream
  * Update libopus0.symbols file
  * Update d/copyright information
    + Add more copyrights
    + Drop duplicate entries in d/copyright
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Drop obsolete 'Priority: optional' stanza.
  * Drop obsolete 'Rules-Requires-Root: no' stanza.
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 25 Dec 2025 23:45:45 +0100
